# Class cdata

- Defined in File node.hpp

## Inheritance Relationships

### Base Type

- `public zeem::node_with_text` (Class node_with_text)

## Class Documentation

class cdata : public zeem::node_with_text

  A node containing the contents of a CDATA section. Normally, these nodes are converted to text nodes but you can specify to preserve them when parsing a document.

  Public Functions

  inline virtual node_type type() const override

    node_type to be returned by each implementation of this node class

  inline explicit cdata(std::string s = {})

    default constructor

  cdata(const cdata &cd) = default

    copy constructor

  cdata(cdata &&cd) noexcept = default

    move constructor

  inline cdata &operator=(cdata cd) noexcept

    assignment operator

  inline void append(std::string_view text)

    append text to the stored text

  inline virtual bool equals(const node *n) const override

    compare nodes for equality